@import '_content/BaseComponents/BaseComponents.bundle.scp.css';

/* /Components/Upload/Upload.razor.rz.scp.css */
.bc-upload input[type=file][b-76gbp6tg9i] {
    position: absolute;
    width: 100%;
    height: 100%;
    opacity: 0;
    top: 0;
    left: 0;
    z-index: 2;
}

.bc-upload[b-76gbp6tg9i] {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    color: rgba(0, 0, 0, 0.85);
    font-size: 14px;
    font-variant: tabular-nums;
    line-height: 1.5715;
    list-style: none;
    font-feature-settings: 'tnum';
    outline: 0;
}

.bc-upload.bc-upload-drag .bc-upload[b-76gbp6tg9i] {
    padding: 16px 0;
}

    .bc-upload.bc-upload-drag[b-76gbp6tg9i] {
        position: relative;
        width: 100%;
        height: 100%;
        text-align: center;
        background: #fafafa;
        border: 1px dashed #d9d9d9;
        border-radius: 2px;
        cursor: pointer;
        transition: border-color 0.3s;
    }

.bc-upload.bc-upload-drag:hover[b-76gbp6tg9i] {
    border-color: var(--primary-orange-web);
}

.bc-upload.bc-upload-drag .bc-upload-drag-container[b-76gbp6tg9i] {
    display: table-cell;
    vertical-align: middle;
}

.bc-upload-file-list[b-76gbp6tg9i] {
    
    
}

.bc-upload-file-list-item[b-76gbp6tg9i] {
    display: flex;
    margin-top: 8px;
    column-gap: 6px;
    align-items: center;
}
/* /Shared/Footer.razor.rz.scp.css */
.footer-layout[b-rew3s8xpef] {
    margin: 16px 0 0 0;
    text-align: center;
}
/* /Shared/Header.razor.rz.scp.css */
.top-row[b-hnwvgkoj29] {
    height: var(--navbar-top-height);
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.top-row .navbar-logo[b-hnwvgkoj29] {
    height: 4rem;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    column-gap: 16px;
}

.nav-body-content[b-hnwvgkoj29] {
    margin-bottom: auto;

}


.top-row[b-hnwvgkoj29] {
    background-color: var(--primary-white);
    border-bottom: 1px solid #d6d5d5;
}

.top-row > a[b-hnwvgkoj29], .main .top-row .btn-link[b-hnwvgkoj29] {
    white-space: nowrap;
    margin-left: 1.5rem;
}

.top-row a:first-child[b-hnwvgkoj29] {
    overflow: hidden;
    text-overflow: ellipsis;
}

.nav-header[b-hnwvgkoj29] {
    display: block;
    line-height: 70px;
    top: 0;
}

@media (min-width: 992px) {
    .hamburger-icon[b-hnwvgkoj29] {
        display: none;
    }
}
/* /Shared/LoginDisplay.razor.rz.scp.css */
.account-user-name[b-agpu1cdyi3] {
    margin: 0;
    font-size: 14px;
    font-weight: 700;
}

.top-bar[b-agpu1cdyi3] {
    display: flex; 
    gap: 10px;
}

.roles-flex[b-agpu1cdyi3] {
    display: flex; 
    gap: 5px; 
    margin-top: 5px; 
    margin-bottom: 10px;
}
/* /Shared/Sidebar.razor.rz.scp.css */
.sidebar[b-rjad6r7hd5] {
    z-index: 10;
    bottom: 0;
    width: 265px;
    flex-shrink: 0 !important;
    background-color: var(--primary-oxford-blue);
    display: flex;
    position: absolute;
    flex-direction: column !important;
    -webkit-transition: all .2s ease-out;
    transition: all .2s ease-out;
    top: 0;
    margin-top: var(--navbar-top-height);
    -webkit-box-shadow: 0 0 35px 0 rgba(154,161,171,.15);
    box-shadow: 0 0 35px 0 rgba(154,161,171,.15);
}

.sidebar .navbar-brand[b-rjad6r7hd5] {
    font-size: 1.1rem;
}

/*.sidebar .chevron-icon {*/
/*    font-size: 12px !important;*/
/*}*/

/*    .sidebar .oi {*/
/*        width: 2rem;*/
/*        font-size: 1.1rem;*/
/*        vertical-align: text-top;*/
/*        top: -2px;*/
/*    }*/





/* Nav Item */

/*.sidebar .nav-item {*/
/*    font-size: 0.9rem;*/
/*}*/

/*    .sidebar .nav-item:last-of-type {*/
/*        padding-bottom: 1rem;*/
/*    }*/

/*  .sidebar .nav-item ::deep a {*/
/*           color: var(--primary-white);*/
/*           border-radius: 4px;*/
/*           height: 2.5rem;*/
/*           display: flex;*/
/*           align-items: center;*/
/*           line-height: 2.5rem;*/
/*       }*/
/*.sidebar .nav-item .subMenu ::deep a {*/
/*           height: 32px;*/
/*           line-height: 32px;*/
/*       }*/

/*     .sidebar .nav-item ::deep a.active {*/
/*               background-color: rgba(255,255,255,0.25);*/
/*               color: white;*/
/*           }*/
/*.sidebar .nav-item ::deep a:hover {*/
/*               background-color: rgba(255,255,255,0.1);*/
/*               color: white;*/
/*           }*/

/*   .sidebar .nav-link.flex {*/
/*       display: flex;*/
/*       flex-flow: row nowrap;*/
/*       align-items: center;*/
/*       width: 100%;*/
/*   }*/

/*   .nav-item-name {*/
/*       flex: 1 1 auto;*/
/*       text-overflow: ellipsis;*/
/*       overflow-x: hidden;*/
/*       white-space: nowrap;*/
/*       pointer-events: none;*/
/*       font-weight: 600;*/
/*   }*/

/*   ul.nav.flex-column.subMenu {*/
/*       margin-left: 2rem;*/
/*   }*/

/*-----------*/

.nav-body-content[b-rjad6r7hd5] {
    position: relative;
    width: 100%;
    height: 100%;
    touch-action: pan-y;
    overflow-x: hidden;
    overflow-y: auto;
}

/* Info Wrapper */
.info-wrapper[b-rjad6r7hd5] {
    font-size: 0.9em;
    margin-left: 5px;
    padding: 0.5rem 0.6rem;
    position: relative;
    width: 295px;
    color: white;
}

.sidebar .info-wrapper[b-rjad6r7hd5]:after {
    content: '';
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    border-top: 1px solid currentColor;
    opacity: 0.15;
}

/*-----------------------------*/

@media (min-width: 992px) {
    .sidebar[b-rjad6r7hd5] {
        display: flex;
    }
}

@media (max-width: 992px) {
    .sidebar.collapse[b-rjad6r7hd5] {
        display: none;
    }
}

    

